Upgrade problem to nginx 1.2.3

Ruben Docter rdocter at gmail.com
Mon Sep 10 13:22:49 UTC 2012


I wnat to upgrade to nginx 1.2.3 but it gives me the following error:

objs/src/core/ngx_regex.o: In function `ngx_pcre_free_studies':
/usr/local/src/nginx-1.2.3/src/core/ngx_regex.c:307: undefined
reference to `pcre_free_study'
collect2: ld returned 1 exit status
make[1]: *** [objs/nginx] Error 1
make[1]: Leaving directory `/usr/local/src/nginx-1.2.3'
make: *** [build] Error 2

No I searched some, but I can't find a solution.

It has to do something with the location of pcre.h. But when I do:

 locate /pcre.h

It gives me:


As you can see I have two versions of pcre.h running. I just wanted to
remove one by doing a yum remove pcre, but then it wants to remove a
lot of other packages.

Please help me, I am a newbee and don't know what to do.

Best regards,


More information about the nginx mailing list